loci.formats.in

## Class SlideBook7Reader.CFRAPRegionAnnotation70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CFRAPRegionAnnotation70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CFRAPRegionAnnotation70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) SlideBook7Reader.CAnnotation70` | `mAnn`
    `(package private) java.util.ArrayList<SlideBook7Reader.CCubeAnnotation70>` | `mRegions`
    `java.lang.String` | `mXML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CFRAPRegionAnnotation70()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `Decode(org.yaml.snakeyaml.nodes.MappingNode inNode, int inStartIndex)`

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mXML

          public java.lang.String mXML

    - #### mRegions

          java.util.ArrayList<SlideBook7Reader.CCubeAnnotation70> mRegions

    - #### mAnn

          SlideBook7Reader.CAnnotation70 mAnn

  - ### Constructor Detail

    - #### CFRAPRegionAnnotation70

          CFRAPRegionAnnotation70()

  - ### Method Detail

    - #### Decode

          public int Decode(org.yaml.snakeyaml.nodes.MappingNode inNode,
                            int inStartIndex)

      Overrides:
        `Decode` in class `SlideBook7Reader.ClassDecoder`

Copyright © 2026 Open Microscopy Environment